> ## Documentation Index
> Fetch the complete documentation index at: https://docs.depict.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Results



## OpenAPI

````yaml /api-reference/openapi/storefront.json post /v3/search/results
openapi: 3.1.0
info:
  title: Depict Platform API
  version: '1.0'
  description: >-
    The Depict platform API at api.depict.ai: storefront-facing search,
    listings, recommendations and event tracking for headless integrations. Not
    to be confused with the storefront search API (runway.depict.ai) used by the
    Search by Depict Shopify app.
servers:
  - url: https://api.depict.ai
security: []
paths:
  /v3/search/results:
    post:
      tags:
        - Search
        - V3
      summary: Get Results
      operationId: Get_results_v3_search_results_post
      parameters:
        - name: port
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Port
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SearchRequestV3'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SearchResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    SearchRequestV3:
      properties:
        cursor:
          anyOf:
            - type: string
              maxLength: 500
            - type: 'null'
          title: Cursor
          description: >-
            Used for cursor-based pagination. Set it to the cursor from the last
            response. If not set, will return the first results.
        limit:
          anyOf:
            - type: integer
              maximum: 250
              minimum: 1
            - type: 'null'
          title: Limit
          description: >-
            Used for cursor-based pagination. Maximum number of results per
            response.
        page:
          anyOf:
            - type: integer
              minimum: 1
            - type: 'null'
          title: Page
          description: Used for Page-based pagination. 1-based index
        hits_per_page:
          anyOf:
            - type: integer
              maximum: 200
              minimum: 1
            - type: 'null'
          title: Hits Per Page
          description: >-
            Used for Page-based pagination. If using page-based pagination,
            this  is a required field.
        market:
          type: string
          title: Market
        filters:
          anyOf:
            - items:
                $ref: '#/components/schemas/SearchFilter'
              type: array
            - type: 'null'
          title: Filters
          description: List of filters to apply to the results.
        sort:
          anyOf:
            - $ref: '#/components/schemas/SortModel-Input'
            - type: 'null'
          description: >-
            Specifies the sorting method. By default, the results are ordered by
            relevance. To find the possible values for this field, query the
            endpoint and look at the `sorts` field.
        session_id:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
          title: Session Id
          description: Session identifier
        metadata:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Metadata
          description: Metadata that can be used to modify the behaviour of the search.
        merchant:
          type: string
          title: Merchant
        locale:
          type: string
          title: Locale
        query:
          anyOf:
            - type: string
            - type: 'null'
          title: Query
          description: The search query.
      type: object
      required:
        - market
        - merchant
        - locale
      title: SearchRequestV3
    SearchResponse:
      properties:
        n_hits:
          type: integer
          title: N Hits
          description: Total number of results for this query. Not necessarily exact.
        sorts:
          anyOf:
            - items:
                $ref: '#/components/schemas/SortModel-Output'
              type: array
            - type: 'null'
          title: Sorts
          description: >-
            Available methods for sorting the response. Any element from this
            list can be sent as `sort` in subsequent requests.
        filters:
          anyOf:
            - items:
                $ref: '#/components/schemas/SearchFilter'
              type: array
            - type: 'null'
          title: Filters
          description: >-
            Available filters that can be used for filtering in the subsequent
            request.
        search_request_id:
          type: string
          title: Search Request Id
        cursor:
          anyOf:
            - type: string
              maxLength: 500
            - type: 'null'
          title: Cursor
          description: >-
            Cursor that can be used in the next request to get subsequent
            results. If this is not set, there are no more results.
        content_search_links:
          items:
            $ref: '#/components/schemas/engine__search_config__ContentLink'
          type: array
          title: Content Search Links
          description: List of links to content pages that match the search query.
        displays:
          items:
            additionalProperties: true
            type: object
          type: array
          title: Displays
          description: The search results.
        debug_info:
          anyOf:
            - {}
            - type: 'null'
          title: Debug Info
      type: object
      required:
        - n_hits
        - search_request_id
        - displays
      title: SearchResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SearchFilter:
      properties:
        field:
          type: string
          title: Field
        op:
          type: string
          enum:
            - eq
            - neq
            - in
            - nin
            - leq
            - geq
            - inrange
          title: Op
        data:
          anyOf:
            - type: string
              enum:
                - 'true'
                - 'false'
            - type: number
            - type: integer
            - type: string
            - prefixItems:
                - type: number
                - type: number
              type: array
              maxItems: 2
              minItems: 2
            - prefixItems:
                - type: integer
                - type: integer
              type: array
              maxItems: 2
              minItems: 2
            - prefixItems:
                - type: integer
                - type: number
              type: array
              maxItems: 2
              minItems: 2
            - prefixItems:
                - type: number
                - type: integer
              type: array
              maxItems: 2
              minItems: 2
            - items:
                anyOf:
                  - type: string
                    enum:
                      - 'true'
                      - 'false'
                  - type: number
                  - type: integer
                  - type: string
                  - prefixItems:
                      - type: number
                      - type: number
                    type: array
                    maxItems: 2
                    minItems: 2
                  - prefixItems:
                      - type: integer
                      - type: integer
                    type: array
                    maxItems: 2
                    minItems: 2
                  - prefixItems:
                      - type: integer
                      - type: number
                    type: array
                    maxItems: 2
                    minItems: 2
                  - prefixItems:
                      - type: number
                      - type: integer
                    type: array
                    maxItems: 2
                    minItems: 2
              type: array
            - items:
                items:
                  type: string
                type: array
              type: array
            - type: 'null'
          title: Data
        meta:
          anyOf:
            - $ref: '#/components/schemas/RangeFilterMeta'
            - $ref: '#/components/schemas/ValuesFilterMeta'
            - $ref: '#/components/schemas/HierarchicalValuesFilterMeta'
            - type: 'null'
          title: Meta
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
      type: object
      required:
        - field
        - op
      title: SearchFilter
    SortModel-Input:
      properties:
        field:
          type: string
          title: Field
        order:
          $ref: '#/components/schemas/SortingOrder'
        meta:
          anyOf:
            - $ref: '#/components/schemas/SortMeta'
            - type: 'null'
      type: object
      required:
        - field
        - order
      title: SortModel
    SortModel-Output:
      properties:
        field:
          type: string
          title: Field
        order:
          $ref: '#/components/schemas/SortingOrder'
        meta:
          anyOf:
            - $ref: '#/components/schemas/SortMeta'
            - type: 'null'
      type: object
      required:
        - field
        - order
      title: SortModel
    engine__search_config__ContentLink:
      properties:
        type:
          type: string
          const: content_link
          title: Type
          default: content_link
        title:
          type: string
          title: Title
          description: Title for the content page
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: Short human-readable description for the content page
        image_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Image Url
          description: URL for the content page image
        page_url:
          type: string
          title: Page Url
          description: URL for the content page
        highlights:
          items:
            $ref: '#/components/schemas/TypesenseHighlights'
          type: array
          title: Highlights
          description: Highlights that show why the search query matched this content page
      type: object
      required:
        - title
        - description
        - page_url
      title: ContentLink
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    RangeFilterMeta:
      properties:
        group_title:
          anyOf:
            - type: string
            - type: 'null'
          title: Group Title
        group_expanded:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Group Expanded
        type:
          type: string
          const: range
          title: Type
          default: range
        min:
          type: number
          title: Min
        max:
          type: number
          title: Max
        unit:
          anyOf:
            - type: string
            - type: 'null'
          title: Unit
        currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Currency
      type: object
      required:
        - min
        - max
      title: RangeFilterMeta
    ValuesFilterMeta:
      properties:
        group_title:
          anyOf:
            - type: string
            - type: 'null'
          title: Group Title
        group_expanded:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Group Expanded
        type:
          type: string
          enum:
            - radio
            - checkbox
            - checkbox-grid
            - checkbox-color
          title: Type
        values:
          items:
            anyOf:
              - type: string
                enum:
                  - 'true'
                  - 'false'
              - type: number
              - type: integer
              - type: string
              - prefixItems:
                  - type: number
                  - type: number
                type: array
                maxItems: 2
                minItems: 2
              - prefixItems:
                  - type: integer
                  - type: integer
                type: array
                maxItems: 2
                minItems: 2
              - prefixItems:
                  - type: integer
                  - type: number
                type: array
                maxItems: 2
                minItems: 2
              - prefixItems:
                  - type: number
                  - type: integer
                type: array
                maxItems: 2
                minItems: 2
          type: array
          title: Values
        counts:
          items:
            type: integer
          type: array
          title: Counts
        names:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Names
        swatches:
          anyOf:
            - items:
                anyOf:
                  - type: string
                  - type: 'null'
              type: array
            - type: 'null'
          title: Swatches
      type: object
      required:
        - type
        - values
        - counts
        - names
      title: ValuesFilterMeta
    HierarchicalValuesFilterMeta:
      properties:
        group_title:
          anyOf:
            - type: string
            - type: 'null'
          title: Group Title
        group_expanded:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Group Expanded
        type:
          type: string
          const: checkbox-hierarchical
          title: Type
          default: checkbox-hierarchical
        values:
          items:
            items:
              type: string
            type: array
          type: array
          title: Values
        counts:
          items:
            type: integer
          type: array
          title: Counts
        names:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Names
      type: object
      required:
        - values
        - counts
      title: HierarchicalValuesFilterMeta
    SortingOrder:
      type: string
      enum:
        - asc
        - desc
      title: SortingOrder
    SortMeta:
      properties:
        title:
          type: string
          title: Title
        values:
          items:
            $ref: '#/components/schemas/SortingOrder'
          type: array
          title: Values
          default:
            - desc
            - asc
        names:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Names
      type: object
      required:
        - title
      title: SortMeta
    TypesenseHighlights:
      properties:
        field:
          type: string
          title: Field
        snippet:
          type: string
          title: Snippet
        matched_tokens:
          items:
            type: string
          type: array
          title: Matched Tokens
      type: object
      required:
        - field
        - snippet
        - matched_tokens
      title: TypesenseHighlights

````